Subject: Re: New symlinks.
From: Bob McGowan <[email-masked]>
To: [email-masked]
Date: Wed, 28 Feb 2001 11:26:39 -0800

I havn't seen this suggestion (maybe there's a good reason):  how about adding a 'links' option to the CYGWIN variable?  When set, it sets behaviour to show the .lnk
extension.  Default not set, don't show the extension.

Christopher Faylor wrote:
> 
> On Wed, Feb 28, 2001 at 05:58:32PM +0100, Bernard Dautrevaux wrote:
> >> -----Original Message-----
> >> From: Christopher Faylor [mailto:[email-masked]]
> >> Sent: Wednesday, February 28, 2001 5:06 PM
> >> To: Cygwin
> >> Subject: Re: New symlinks.
> >>
> >>
> >>On Wed, Feb 28, 2001 at 01:52:44PM +0100, Corinna Vinschen wrote:
> >>>>another icon ;^).  Don't underestimate people using
> >>Windows; most of them are
> >>>>not idiots and are used to Windows idiosyncrasisms, so
> >>when using cygwin
> >>>>they can adapt :-)
> >>>
> >>>I wonder...
> >>>
> >>>*restrain sarcasm*
> >>>
> >>>...anyway, you may be right here ;-)
> >>
> >>I HEARTILY disagree with this.  We have repeatedly see the confusion of
> >>people on this mailing list on all matter of subjects.  I have no
> >>reason to assume that having files with a .lnk extension will be any
> >>different -- especially since Microsoft goes out of its way to hide the
> >>extension itself.
> >
> >People that only use the Windows GUI would be confused by the ".lnk"
> >extension if shown by cygwin, but as we don't show it by default
> >there's no problem.  OTOH people used to CMD.exe will be used to the
> >lnk suffix (as DIR shows it) but should understand that cygwin is doing
> >the same as Explorer, and hide it.
> 
> I'm sorry but you are never, ever going to be able to convince me that
> people will not be confused by the existence of a file with a '.lnk'
> extension where they didn't specifically create one.  That's why I
> am advocating that it be hidden as much as possible.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple